void normalise() {
  for(int i=0; i<numCols-1;i++) {
    for(int j=0; j<numRows;j++) {
      //dataMatrix[i][j] = log(table.getFloat(j,i+1)+0.001);
      dataMatrix1[i][j] = table1.getFloat(j,i+1);
      dataMatrix2[i][j] = table2.getFloat(j,i+1);
      dataMatrix3[i][j] = table3.getFloat(j,i+1);
    }
  }
  maxes1 = maxVector(dataMatrix1);
  maxes2 = maxVector(dataMatrix2);
  maxes3 = maxVector(dataMatrix3);
  for(int i=0; i<numCols-1;i++) {
    for(int j=0; j<numRows;j++) {
      //dataMatrix[i][j] = log(table.getFloat(j,i+1)+0.001);
      dataMatrix1[i][j] = table1.getFloat(j,i+1)/maxes1[i];
      dataMatrix2[i][j] = table2.getFloat(j,i+1)/maxes2[i];
      dataMatrix3[i][j] = table3.getFloat(j,i+1)/maxes3[i];
    }
  }
  maxValue1 = max2D(dataMatrix1);
  minValue1 = min2D(dataMatrix1);
  maxValue2 = max2D(dataMatrix2);
  minValue2 = min2D(dataMatrix2);
  maxValue3 = max2D(dataMatrix3);
  minValue3 = min2D(dataMatrix3);

}

void reset_n() {
  for(int i=0; i<numCols-1;i++) {
    for(int j=0; j<numRows;j++) {
      dataMatrix1[i][j] = table1.getFloat(j,i+1);
      dataMatrix2[i][j] = table2.getFloat(j,i+1);
      dataMatrix3[i][j] = table3.getFloat(j,i+1);
    }
  }
  maxValue1 = max2D(dataMatrix1);
  minValue1 = min2D(dataMatrix1);
  maxValue2 = max2D(dataMatrix2);
  minValue2 = min2D(dataMatrix2);
  maxValue3 = max2D(dataMatrix3);
  minValue3 = min2D(dataMatrix3);
}

void reset_r() {
  for(int i=0; i<numCols-1;i++) {
    for(int j=0; j<numRows;j++) {
      dataMatrix1[i][j] = table1.getFloat(j,i+1);
      dataMatrix2[i][j] = table2.getFloat(j,i+1);
      dataMatrix3[i][j] = table3.getFloat(j,i+1);
    }
  }
  maxValue1 = max2D(dataMatrix1);
  minValue1 = min2D(dataMatrix1);
  maxValue2 = max2D(dataMatrix2);
  minValue2 = min2D(dataMatrix2);
  maxValue3 = max2D(dataMatrix3);
  minValue3 = min2D(dataMatrix3);
}